Page MenuHomePhabricator

CX creates span tags with cx-highlight class
Open, MediumPublic

Description

https://en.wikipedia.org/w/index.php?title=N%C3%A9lida_Sifuentes_Cueto&action=edit&oldid=678515032

created with

<span class="cx-segment cx-highlight" data-segmentid="78"></span>

Related Objects

StatusSubtypeAssignedTask
OpenNone
DuplicateNone
DuplicateNone
Resolvedsanthosh
ResolvedEsanders
ResolvedNone
InvalidNone
Declined Jsahleen
DuplicateNone
ResolvedNone
ResolvedAmire80
InvalidNone
OpenNone
DeclinedNone
Resolved Petar.petkovic
Resolved Petar.petkovic
Resolved Petar.petkovic
ResolvedPginer-WMF
OpenNone
Resolved Petar.petkovic
Resolved Petar.petkovic
Resolved Petar.petkovic
ResolvedPginer-WMF
Resolvedsanthosh
Resolveddchan
Resolvedsanthosh
Resolvedsanthosh
Resolved Nikerabbit
OpenNone
Resolvedsanthosh
ResolvedPginer-WMF
OpenNone
ResolvedPginer-WMF
InvalidNone
Resolved Petar.petkovic
Resolvedsanthosh
Resolvedsanthosh
OpenNone
ResolvedNone
Resolvedsanthosh
Resolvedsanthosh
Resolvedsanthosh
Resolvedsanthosh

Event Timeline

Magioladitis raised the priority of this task from to Needs Triage.
Magioladitis updated the task description. (Show Details)
Magioladitis added a subscriber: Magioladitis.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 1 2015, 7:39 AM
Magioladitis set Security to None.Sep 1 2015, 7:41 AM
Magioladitis added subscribers: Bgwhite, NicoV.
Amire80 renamed this task from CT creates span tags with weird classes to CX creates span tags with cx-highlight class.Sep 2 2015, 8:10 AM
Amire80 triaged this task as Medium priority.
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Sep 4 2015, 3:16 PM
Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 1 2015, 5:55 PM
Amire80 moved this task from CX7 to Bugs on the ContentTranslation board.Oct 16 2015, 8:14 AM

OK, the AbuseFilter now works and you can see the results here:
https://en.wikipedia.org/w/index.php?title=Special:AbuseLog&wpSearchFilter=765

From analyzing some pages that had these unnecessary tags in the last few days, I can see that they tend to appear in the beginning or the end of the paragraph, but I don't know if it happens always.

santhosh claimed this task.Jun 13 2016, 8:47 AM

Change 294030 had a related patch set uploaded (by Santhosh):
Improve the HTML preparation before publishing

https://gerrit.wikimedia.org/r/294030

Change 294030 merged by jenkins-bot:
Improve the HTML preparation before publishing

https://gerrit.wikimedia.org/r/294030

cx-segment elements are removed by replacing them with their HTML content:

$section.find( '.cx-segment' ).replaceWith( function () {
    return $( this ).html();
} );

Recently, when I find articles that have the <span class="cx-segment"> after publishing, they usually appear in the ends of the paragraphs and they are empty. Maybe if they are empty, the replaceWith() function doesn't do anything?

Another curiosity, which may or may not be related: If you go to https://en.wikipedia.org/w/index.php?title=%C3%89lizabeth_Teissier&action=edit&oldid=726956309 , preview the page and inspect the second paragraph, there will be a <span class="cx-segment" data-segmentid="87"></span> element in the wiki source, but it won't be in the DOM of the previewed content.

Change 296216 had a related patch set uploaded (by Santhosh):
Really remove empty segment spans

https://gerrit.wikimedia.org/r/296216

Change 296216 merged by jenkins-bot:
Really remove empty segment spans

https://gerrit.wikimedia.org/r/296216

Arrbee moved this task from QA to Done on the Language-Q4-2016-Sprint 5 board.Jul 5 2016, 7:02 AM
Arrbee closed this task as Resolved.Jul 5 2016, 7:03 AM

I cannot see any new appearances of this in the English Wikipedia during the last week, so this is certainly resolved.

This article is not created using CX(if so, it will have CX related tags, edit summary would be different etc). So there is a chance that the user copied the content from CX editor and pasted in VE another browser tab? A case of T220495: Content copied from Content Translation into Visual Editor exposes internal attributes

@santhosh: Hi! This task has been assigned to you a while ago. Do you still plan to work on this task? Thanks! :)

Aklapper removed santhosh as the assignee of this task.Jun 19 2020, 4:24 PM
Aklapper added a subscriber: santhosh.

This task has been assigned to the same task owner for more than two years. Resetting task assignee due to inactivity, to decrease task cookie-licking and to get a slightly more realistic overview of plans. Please feel free to assign this task to yourself again if you still realistically work or plan to work on this task - it would be welcome!

For tips how to manage individual work in Phabricator (noisy notifications, lists of task, etc.), see https://phabricator.wikimedia.org/T228575#6237124 for available options.
(For the records, two emails were sent to assignee addresses before resetting assignees. See T228575 for more info and for potential feedback. Thanks!)